<?php
require("../LdapManager.php");
require("../LdapConf.php");

$lm=new LdapManager($LDAP_SERVER_NAME,$LDAP_SERVER_PORT);
$lm->setOption(LDAP_OPT_PROTOCOL_VERSION,3);
$lm->connectLdap($LDAP_USER,$LDAP_PASS);

header('Content-type: application/x-x509-user-cert');
header('Content-Disposition: attachment; filename="certificate.ber"');
if (array_key_exists('dn',$_GET)&&array_key_exists('attribute',$_GET)) {
    $dnEntry=base64_decode($_GET['dn']);
    $nameAttr=base64_decode($_GET['attribute']);
    $entry=$lm->getEntry($dnEntry);
    echo $entry->getSingleAttribute($nameAttr);
}
?>
